export default ({
  dialog,
  settings,
  deprecationError,
}: {
  dialog: DrupalDialog;
  settings: DialogOptions;
  deprecationError: typeof Drupal.deprecationError;
}) => {
  const deprecatedOptions = ['appendTo', 'classes', 'draggable', 'hide', 'position', 'resizable', 'show'];

  Object.keys(settings)
    .filter((key) => deprecatedOptions.includes(key))
    .forEach((key) => {
      deprecationError({
        message: `The "${key}" Drupal.dialog option is deprecated and has no effect.`,
      });
    });

  return dialog;
};
