import type { } from 'ts_for_core/drupal';
import type { } from 'ts_for_core/drupal_settings';
import type { } from 'ts_for_core/@drupal__once';
import type { } from 'ts_for_core/drupal.ajax';
import type { } from 'ts_for_core/drupal.displace';
// import type {} from 'ts_for_core/drupal.dialog';
// import type { } from 'ts_for_core/drupal.dialog.ajax';
import type { } from './dev/type-forks';
declare global {
  namespace drupalSettings {
    let dialog: DialogOptions;
    let suppressDeprecationErrors: true;
  }

  namespace Drupal {
    interface behaviorAdditionalPropsMap {
      dialog: {
        prepareDialogButtons2(dialog: HTMLElement): Array<JQueryUI.DialogButtonOptions>;
      };
    }

    let dialog: (
      element: string | HTMLElement,
      options?: DialogOptions,
    ) => DrupalDialog;

    namespace theme {
      let dialog: (options: {
        buttons?: JQueryUI.DialogOptions['buttons'];
        closeText?: string;
        domElement: HTMLElement;
        title?: string;
      }) => HTMLElement;

      let dialogHeader: (title: string, closeText?: string) => HTMLElement;

      let dialogContent: (content: HTMLElement) => HTMLElement;

      let dialogButtons: (
        buttons: JQueryUI.DialogOptions['buttons'],
      ) => HTMLElement;
    }
  }

  type DialogLifeCycleEvents = 'aftercreate' | 'beforecreate' | 'afterclose' | 'beforeclose';
  type DialogEvents = 'dialog-close';

  interface DrupalDialog extends HTMLDialogElement {}

  interface DrupalDialogEvent extends Event {
    dialog: DrupalDialog;
    settings: DialogOptions;
  }

  interface DialogOptions extends JQueryUI.DialogOptions {
    buttonClass?: string;
    buttonPrimaryClass?: string;
    dialogPosition?: {
      reference: HTMLElement;
      options?: import('@floating-ui/dom').ComputePositionConfig;
    };
    close?: (event: Event) => void;
  }

  namespace FloatingUIDOM {
    let autoUpdate: import('@floating-ui/dom').AutoUpdateOptions;
    let offset: import('@floating-ui/dom').OffsetOptions;
    let size: import('@floating-ui/dom').SizeOptions;
    let computePosition: import('@floating-ui/dom').computePosition;
  }
}

export {};
