// vite.config.js
import { resolve } from "path"
import { defineConfig } from "vite"

export default defineConfig({
  build: {
    lib: {
      entry: [resolve(__dirname, "src/dialog.ts"), resolve(__dirname, "src/dialogTheme.ts"), resolve(__dirname, "src/dialogAjax.ts")],
      name: "Dialog",
      fileName: (_, entryName) => `${entryName}.js`,
      formats: ["es"]
    },
    rollupOptions: {
      // make sure to externalize deps that shouldn't be bundled
      // into your library
      external: ["Drupal"],
      output: {
        // Provide global variables to use in the UMD build
        // for externalized deps
        globals: {
          Drupal: "Drupal"
        }
      }
    },
    minify: false
  }
})
